From 996dfdf78ff88d76983b85996d98b7ead4447349 Mon Sep 17 00:00:00 2001
From: Laurenz Albe <laurenz.albe@wien.gv.at>
Date: Tue, 15 Nov 2016 16:36:43 +0100
Subject: [PATCH] Consider parallel plans for statements prepared with PREPARE

This was forgotten in 57a6a72b where parallel execution
for prepared statements was introduced.
---
 src/backend/commands/prepare.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/src/backend/commands/prepare.c b/src/backend/commands/prepare.c
index cec37ce..bc09148 100644
--- a/src/backend/commands/prepare.c
+++ b/src/backend/commands/prepare.c
@@ -159,7 +159,7 @@ PrepareQuery(PrepareStmt *stmt, const char *queryString)
 					   nargs,
 					   NULL,
 					   NULL,
-					   0,		/* default cursor options */
+					   CURSOR_OPT_PARALLEL_OK,  /* allow parallel mode */
 					   true);	/* fixed result */
 
 	/*
-- 
1.7.1

